Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP DELETE

DELETE chat_conversations/content/:id/:participant

Ostatnia modyfikacja 2026-05-18 13:56:05
Usuwanie treści wiadomości danej konwersacji. Pozwala wybrać uczestnika konwersacji lub usunąć dla obu.

URL

https://your-system-name.thulium.com/api/chat_conversations/content/:id/:participant

Parametry

id

wymagany

Identyfikator konwersacji czatu, którego treść ma być usunięta. Przykładowa wartość: a779146f-4df3-49c1-826a-7caa6a5e653a
participant

wymagany

Uczestnik konwersacji czatu, którego treść wiadomości ma być usunięta. Przykładowa wartość: user|customer|both

Przykładowy request

DELETE https://your-system-name.thulium.com/api/chat_conversations/content/2/user

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/chat_conversations/content/2/user');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.delete("https://your-system-name.thulium.com/api/chat_conversations/content/2/user");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X DELETE -H "Accept: application/json" "https://your-system-name.thulium.com/api/chat_conversations/content/2/user"

HTTPie
http -a api_user:api_pass DELETE https://your-system-name.thulium.com/api/chat_conversations/content/2/user Accept:application/json